%global appname yumex

Name:     %{appname}-dnf
Version:  4.4.0
Release:  2%{?dist}
Summary:  Yum Extender graphical package management tool

Group:    Applications/System
License:  GPLv2+
URL:      http://yumex.dk
Source0:  yumex-dnf-e92ba65.tar.xz

BuildArch: noarch
BuildRequires: make
BuildRequires: python3-libsass
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: python3-devel

Requires: python3-dnfdaemon >= 0.3.10
Requires: python3-gobject >= 3.10
Requires: python3-pyxdg
Requires: python3-dbus
Requires: python3-cairo
Requires: libnotify
Requires: google-noto-sans-fonts

%description
Graphical package tool for maintain packages on the system


%prep
%autosetup -n %{name}
#rm -f po/de.po

%build
%make_build


%install
make install PYTHON=%{__python3} DESTDIR=%{buildroot} DATADIR=%{_datadir}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}-local.desktop

%find_lang %name

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database %{_datadir}/applications &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files -f  %{name}.lang
%doc README.md COPYING
%{_datadir}/%{name}
%{_bindir}/%{name}*
%{python3_sitelib}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/appdata/*.xml

%changelog

* Wed May 11 2016 Tim Lauridsen <timlau@fedoraproject.org> 4.3.3-1
- bumped release to 4.3.3 (dev)

